# -*- coding: utf-8 -*-
import logging
from pyramid.httpexceptions import HTTPFound
from ringo.lib.helpers import get_action_routename
from ringo.views.base.list_ import set_bundle_action_handler
from efa.model.participation import calc_complete
from ec.model.participation import ECParticipation


log = logging.getLogger(__name__)


def teilgenommen_handler(request, items, callback=None):
    if request.method == 'POST':
        for item in items:
            item.ecoi.ec_course_teilgenommen = '{1,""}'
            item.complete = calc_complete(item)
        request.session.flash(u"Teilnahmen als teilgenommen markiert.",
                              u"success_perm")
        logmsg = u"mark take part by participations %s" % repr(
            [item.id for item in items])
        log.info(logmsg)
    url = request.route_path(
        get_action_routename(ECParticipation, "list"))
    return HTTPFound(url)


set_bundle_action_handler("teilgenommen", teilgenommen_handler,
                          "participations")
